ArmoredSignatureType (Gradle API 8.14.2)
Description: declaration: package: org.gradle.plugins.signing.type.pgp, class: ArmoredSignatureType

Package org.gradle.plugins.signing.type.pgp

# Class ArmoredSignatureType

java.lang.Object
org.gradle.plugins.signing.type.AbstractSignatureType
org.gradle.plugins.signing.type.pgp.ArmoredSignatureType

All Implemented Interfaces:
  `SignatureType`

public class ArmoredSignatureType extends AbstractSignatureType
Armored signature type.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArmoredSignatureType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getExtension()`
  The file extension (without the leading dot) associated to this type of signature.
  `void`
  `sign(Signatory signatory, InputStream toSign, OutputStream destination)`
  Signs the data from the given InputStream and stores the signature in the given OutputStream.

  ### Methods inherited from class org.gradle.plugins.signing.type.AbstractSignatureType

  `combinedExtension, fileFor, sign`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ArmoredSignatureType

    public ArmoredSignatureType()

- ## Method Details

  - ### getExtension

    public String getExtension()
    Description copied from interface: `SignatureType`
    The file extension (without the leading dot) associated to this type of signature.

  - ### sign

    public void sign(Signatory signatory, InputStream toSign, OutputStream destination)
    Description copied from interface: `SignatureType`
    Signs the data from the given InputStream and stores the signature in the given OutputStream.
    Specified by:
      `sign` in interface `SignatureType`
    Overrides:
      `sign` in class `AbstractSignatureType`
    Parameters:
      `signatory` - The signatory
      `toSign` - The source of the data to be signed
      `destination` - Where the signature will be written to